- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.ImportIntegrationDependencyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.integrations/importIntegrationDependency#body.aspect_1)

**Full name**: projects.locations.instances.integrations.importIntegrationDependency

Uploads a raw dependency file (e.g., a wheel file or binary) to an existing custom integration. Useful for air-gapped environments or proprietary libraries.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://{endpoint}/upload/v1beta/{name}:uploadDependency`
- Metadata URI, for metadata-only requests:  
  `POST https://{endpoint}/v1beta/{name}:uploadDependency`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The unique name of the integration. Format: projects/{project}/locations/{location}/instances/{instance}/integrations/{integration} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "dependency": string, "media": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`) }, "mediaInfo": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaRequestInfo`) } } ``` |

| Fields ||
|---|---|
| `dependency` | `string` Required. The dependency name to upload, limited to a maximum length of 255 chars. This is the name of the dependency that will be in the integration. For example, if the integration has a dependency named "mysql", then the dependency would be "mysql". |
| `media` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`)`` Information representing the imported data |
| `mediaInfo` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaRequestInfo`)`` Metadata about the media upload request. |

### Response body

Response message for importing an integration dependency.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mediaInfo": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo`) } } ``` |

| Fields ||
|---|---|
| `mediaInfo` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo`)`` Info about a media upload request from Scotty. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.integrations.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).